/* Global Styles
-----------------------*/

:root {
  --box-shadow: 0 4px 8px rgba(0, 0, 0, 0.4);
  --text-shadow: 0px 2px 4px rgba(0, 0, 0, 0.4);
  --neon-text-shadow: 0 0 5px #1c31dc, 0 0 10px #1c31dc, 0 0 20px #1c31dc,
    0 0 30px #1c31dc;
  --spacer: 1rem;
  --border-radius: 0.6rem;
  --border-radius-round: 3rem;
  --transition-in: all 0.2s ease-out;
  --transition-out: all 0.4s ease-in;
  --box-shadow-card: 0 2.8px 2.2px rgba(0, 115, 230, 0.034),
    0 6.7px 5.3px rgba(0, 115, 230, 0.048),
    0 12.5px 10px rgba(0, 115, 230, 0.06),
    0 22.3px 17.9px rgba(0, 115, 230, 0.072),
    0 41.8px 33.4px rgba(0, 115, 230, 0.086),
    0 100px 80px rgba(0, 115, 230, 0.12);
  --inset-shadow: inset 0px 0 14px rgba(0, 115, 230, 0.2),
    inset 0px 0 18px rgba(0, 115, 230, 0.2),
    inset 0px 0 20px rgba(0, 115, 230, 0.2);
}
html {
  scroll-behavior: smooth;
  scroll-padding-top: 3.4rem;
}
*,
::after,
::before {
  box-sizing: border-box;
}
* {
  margin: 0;
}

body {
  margin: 0 auto;
  padding: 0;
  font-family: system-ui, 'Segoe UI', Roboto, Oxygen, 'Open Sans',
    'Helvetica Neue', sans-serif;
  text-rendering: optimizeSpeed;
  line-height: 1.5;
  user-select: none;
  font-weight: 300;
  animation: fadeInAnimation 3s ease-out 1 forwards;
}
@keyframes fadeInAnimation {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@media screen and (min-width: 1680px) {
  html {
    padding: 0 10% 0 10%;
    background-color: rgb(0, 0, 0);
  }
}
html::-webkit-scrollbar {
  width: 8px;
  padding: 2px;
}
html::-webkit-scrollbar-track {
  background-color: #000;
}
html::-webkit-scrollbar-thumb {
  border-radius: 6px;
  background-color: #0073e6;
  border: 3px solid #000;
}
p,
h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
  hyphens: auto;
  font-weight: 300;
  color: #abd5ff;
  text-shadow: var(--text-shadow);
}
ul {
  list-style: none;
  padding: 0;
  font-weight: 300;
  text-shadow: var(--text-shadow);
}
a {
  text-decoration: none;
  color: inherit;
  font: inherit;
  /* text-shadow: var(--text-shadow); */
  cursor: url(glove2.png), auto;
}
/* Make images easier to work with */
img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
}

/*---------------Starry Background---------------*/

.stars {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  min-height: 100vh;
  display: block;
  background: #000 url(./img/stars.png) repeat top center;
  z-index: -3;
}

.alpha {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  min-height: 100%;
  display: block;
  background: transparent url(./img/alpha.png) repeat top center;
  z-index: -2;
  animation: stargazing 500s linear infinite;
}

@keyframes stargazing {
  from {
    background-position: 0 0;
  }
  to {
    background-position: -10000px 5000px;
  }
}
.nebula {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  min-height: 100vh;
  display: block;
  background: transparent url(./img/nebula.png) repeat top center;
  z-index: -1;
  animation: fadein 4s ease-out alternate infinite;
}
@keyframes fadein {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 0.5;
  }
}
/*---------------Header Section -----------------*/

.header {
  min-width: 100%;
  margin: 0 auto;
  min-height: 61vh;
}

.glow {
  position: absolute;
  top: 20%;
  left: 15%;
  width: clamp(18rem, 20vw, 22rem);
  padding: 2rem;
  color: #0073e6;
  border-radius: var(--border-radius);
  text-align: center;
  border: 1px solid #0073e6;
  animation: glow 3s linear infinite;
}

.title,
.subtitle {
  color: #0073e6;
  font-weight: lighter;
  font-family: neon;
  text-shadow: var(--text-shadow);
}

.title {
  font-size: clamp(1.2rem, 5vw, 3rem);
  margin: 0 0 -2rem 0;
}
.subtitle {
  font-size: clamp(1rem, 5vw, 2rem);
  margin: 2rem 0 0 0;
}

.section-header {
  width: fit-content;
  font-family: neon;
  text-align: left;
  font-size: clamp(1.5rem, 3vw, 2.5rem);
  margin-left: 5%;
  margin: 2rem 0;
  font-weight: lighter;
  text-shadow: var(--neon-text-shadow);
}
.neon-text {
  color: #abd5ff;
  text-align: center;
  text-shadow: var(--neon-text-shadow);
}
/*--------------Navbar-----------*/

.navbar {
  position: relative;
  padding: 0.5rem 1rem;
  color: inherit;
  border: 1px solid #0073e6;
  border-top: none;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: rgb(0, 0, 0);
  z-index: 1000; /* Ensure navbar stays on top */
}
.github {
  margin-left: 1rem;
  font-size: 1.6rem;
  color: #fff;
  cursor: url(glove2.png), auto;
}
.navbar-links {
  display: flex;
  align-items: center;
  margin-left: auto;
}
.navbar-links i {
  font-size: 1.6rem;
}
.navbar-links a {
  margin: 0.3rem 1rem 0.3rem 0.3rem;
  transition: var(--transition-out);
}
.navbar-links a:hover {
  color: #0073e6;
  transition: var(--transition-in);
}
.fab {
  color: #fff;
}
/* nav a:after {
  content: '';
  height: 1px;
  display: block;
  width: 0;
  background-color: #abd5ff;
  position: absolute;
  bottom: 0;
  transition: all 250ms ease-out;
}
nav a:hover:after {
  width: 100%;
  margin-top: 0;
} */

/* Profile
-----------------------*/

/* About-----------------------*/

.about {
  margin: 0;
  display: grid;
  place-items: center;
  padding: 3rem 0;
  border: 1px solid #0073e6;
}

.about-gradient {
  margin: 0;
  background-image: linear-gradient(
    180deg,
    hsl(0deg 0% 0%) 0%,
    hsl(208deg 99% 4%) 11%,
    hsl(206deg 45% 7%) 22%,
    hsl(209deg 28% 9%) 33%,
    hsl(209deg 23% 11%) 44%,
    hsl(209deg 20% 13%) 56%,
    hsl(210deg 17% 15%) 67%,
    hsl(210deg 15% 17%) 78%,
    hsl(210deg 14% 19%) 89%,
    hsl(210deg 13% 22%) 100%
  );
}

/*---------New accordion --------*/

.accContainer {
  max-width: 40rem;
  margin: 0 auto;
}

.accWrapper {
  background-color: #000;
  padding: 0 20px;
  margin: 2rem 0;
  border-radius: 3rem;
  border-bottom: 1px solid #abd5ff;
  box-shadow: var(--box-shadow-card);
}

.toggle {
  width: 100%;
  background-color: transparent;
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: 1.2rem;
  font-weight: 200;
  border: none;
  outline: none;
  cursor: pointer;
  transition: var(--transition-out);
}

.toggle .accHeader {
  font-family: 'Raleway', sans-serif;
  font-size: 1.2rem;
  font-weight: 300;
  color: #abd5ff;
  letter-spacing: 1px;
  padding: 1.6rem 1rem;
  transition: var(--transition-out);
}

.toggle .icon {
  color: #abd5ff;
  font-size: 1.5rem;
  transition: var(--transition-out);
}
.toggle:hover span,
.toggle:hover .icon {
  color: #fff;
  transition: var(--transition-in);
}
.content {
  background: #000;
  font-size: 1rem;
  height: 0;
  overflow: hidden;
  border-radius: 0 0 3rem 3rem;
  transition: var(--transition-in);
}
.content p {
  padding: 0 1rem 2rem 1rem;
  text-align: justify;
  overflow-wrap: break-word;
  hyphens: auto;
  letter-spacing: 1px;
}
.content ul {
  padding-bottom: 2rem;
  margin-left: 4rem;
  list-style: circle;
  letter-spacing: 1px;
}
.content ul.education {
  margin-left: 2rem;
}

/* Show/hide sections */
main {
  content-visibility: auto;
  min-height: 73vh;
  background-color: #000;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='400' height='400' viewBox='0 0 200 200'%3E%3Cg fill='none' stroke='%23d9dde2' stroke-width='1' stroke-opacity='0.2'%3E%3Crect x='-40' y='40' width='75' height='75'/%3E%3Crect x='-35' y='45' width='65' height='65'/%3E%3Crect x='-30' y='50' width='55' height='55'/%3E%3Crect x='-25' y='55' width='45' height='45'/%3E%3Crect x='-20' y='60' width='35' height='35'/%3E%3Crect x='-15' y='65' width='25' height='25'/%3E%3Crect x='-10' y='70' width='15' height='15'/%3E%3Crect x='-5' y='75' width='5' height='5'/%3E%3Crect width='35' height='35'/%3E%3Crect x='5' y='5' width='25' height='25'/%3E%3Crect x='10' y='10' width='15' height='15'/%3E%3Crect x='15' y='15' width='5' height='5'/%3E%3Crect x='40' width='75' height='75'/%3E%3Crect x='45' y='5' width='65' height='65'/%3E%3Crect x='50' y='10' width='55' height='55'/%3E%3Crect x='55' y='15' width='45' height='45'/%3E%3Crect x='60' y='20' width='35' height='35'/%3E%3Crect x='65' y='25' width='25' height='25'/%3E%3Crect x='70' y='30' width='15' height='15'/%3E%3Crect x='75' y='35' width='5' height='5'/%3E%3Crect x='40' y='80' width='35' height='35'/%3E%3Crect x='45' y='85' width='25' height='25'/%3E%3Crect x='50' y='90' width='15' height='15'/%3E%3Crect x='55' y='95' width='5' height='5'/%3E%3Crect x='120' y='-40' width='75' height='75'/%3E%3Crect x='125' y='-35' width='65' height='65'/%3E%3Crect x='130' y='-30' width='55' height='55'/%3E%3Crect x='135' y='-25' width='45' height='45'/%3E%3Crect x='140' y='-20' width='35' height='35'/%3E%3Crect x='145' y='-15' width='25' height='25'/%3E%3Crect x='150' y='-10' width='15' height='15'/%3E%3Crect x='155' y='-5' width='5' height='5'/%3E%3Crect x='120' y='40' width='35' height='35'/%3E%3Crect x='125' y='45' width='25' height='25'/%3E%3Crect x='130' y='50' width='15' height='15'/%3E%3Crect x='135' y='55' width='5' height='5'/%3E%3Crect y='120' width='75' height='75'/%3E%3Crect x='5' y='125' width='65' height='65'/%3E%3Crect x='10' y='130' width='55' height='55'/%3E%3Crect x='15' y='135' width='45' height='45'/%3E%3Crect x='20' y='140' width='35' height='35'/%3E%3Crect x='25' y='145' width='25' height='25'/%3E%3Crect x='30' y='150' width='15' height='15'/%3E%3Crect x='35' y='155' width='5' height='5'/%3E%3Crect x='200' y='120' width='75' height='75'/%3E%3Crect x='40' y='200' width='75' height='75'/%3E%3Crect x='80' y='80' width='75' height='75'/%3E%3Crect x='85' y='85' width='65' height='65'/%3E%3Crect x='90' y='90' width='55' height='55'/%3E%3Crect x='95' y='95' width='45' height='45'/%3E%3Crect x='100' y='100' width='35' height='35'/%3E%3Crect x='105' y='105' width='25' height='25'/%3E%3Crect x='110' y='110' width='15' height='15'/%3E%3Crect x='115' y='115' width='5' height='5'/%3E%3Crect x='80' y='160' width='35' height='35'/%3E%3Crect x='85' y='165' width='25' height='25'/%3E%3Crect x='90' y='170' width='15' height='15'/%3E%3Crect x='95' y='175' width='5' height='5'/%3E%3Crect x='120' y='160' width='75' height='75'/%3E%3Crect x='125' y='165' width='65' height='65'/%3E%3Crect x='130' y='170' width='55' height='55'/%3E%3Crect x='135' y='175' width='45' height='45'/%3E%3Crect x='140' y='180' width='35' height='35'/%3E%3Crect x='145' y='185' width='25' height='25'/%3E%3Crect x='150' y='190' width='15' height='15'/%3E%3Crect x='155' y='195' width='5' height='5'/%3E%3Crect x='160' y='40' width='75' height='75'/%3E%3Crect x='165' y='45' width='65' height='65'/%3E%3Crect x='170' y='50' width='55' height='55'/%3E%3Crect x='175' y='55' width='45' height='45'/%3E%3Crect x='180' y='60' width='35' height='35'/%3E%3Crect x='185' y='65' width='25' height='25'/%3E%3Crect x='190' y='70' width='15' height='15'/%3E%3Crect x='195' y='75' width='5' height='5'/%3E%3Crect x='160' y='120' width='35' height='35'/%3E%3Crect x='165' y='125' width='25' height='25'/%3E%3Crect x='170' y='130' width='15' height='15'/%3E%3Crect x='175' y='135' width='5' height='5'/%3E%3Crect x='200' y='200' width='35' height='35'/%3E%3Crect x='200' width='35' height='35'/%3E%3Crect y='200' width='35' height='35'/%3E%3C/g%3E%3C/svg%3E");
  padding: 0 4rem 4rem;
  margin: 0px;
  text-align: center;
  border-bottom: 1px solid #262d33;
  box-shadow: var(--box-shadow);
}
.hidden {
  display: none;
}
.shown {
  display: block !important;
  animation: fade-in 0.4s ease-out;
}

@keyframes fade-in {
  0% {
    opacity: 0;
    transform: translateY(12rem);
  }
  100% {
    opacity: 1;
    transform: translateY(0px);
  }
}

/* Projects
------------------------*/
/* .projects {
  content-visibility: auto;
  background-color: #000;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='400' height='400' viewBox='0 0 200 200'%3E%3Cg fill='none' stroke='%23d9dde2' stroke-width='1' stroke-opacity='0.2'%3E%3Crect x='-40' y='40' width='75' height='75'/%3E%3Crect x='-35' y='45' width='65' height='65'/%3E%3Crect x='-30' y='50' width='55' height='55'/%3E%3Crect x='-25' y='55' width='45' height='45'/%3E%3Crect x='-20' y='60' width='35' height='35'/%3E%3Crect x='-15' y='65' width='25' height='25'/%3E%3Crect x='-10' y='70' width='15' height='15'/%3E%3Crect x='-5' y='75' width='5' height='5'/%3E%3Crect width='35' height='35'/%3E%3Crect x='5' y='5' width='25' height='25'/%3E%3Crect x='10' y='10' width='15' height='15'/%3E%3Crect x='15' y='15' width='5' height='5'/%3E%3Crect x='40' width='75' height='75'/%3E%3Crect x='45' y='5' width='65' height='65'/%3E%3Crect x='50' y='10' width='55' height='55'/%3E%3Crect x='55' y='15' width='45' height='45'/%3E%3Crect x='60' y='20' width='35' height='35'/%3E%3Crect x='65' y='25' width='25' height='25'/%3E%3Crect x='70' y='30' width='15' height='15'/%3E%3Crect x='75' y='35' width='5' height='5'/%3E%3Crect x='40' y='80' width='35' height='35'/%3E%3Crect x='45' y='85' width='25' height='25'/%3E%3Crect x='50' y='90' width='15' height='15'/%3E%3Crect x='55' y='95' width='5' height='5'/%3E%3Crect x='120' y='-40' width='75' height='75'/%3E%3Crect x='125' y='-35' width='65' height='65'/%3E%3Crect x='130' y='-30' width='55' height='55'/%3E%3Crect x='135' y='-25' width='45' height='45'/%3E%3Crect x='140' y='-20' width='35' height='35'/%3E%3Crect x='145' y='-15' width='25' height='25'/%3E%3Crect x='150' y='-10' width='15' height='15'/%3E%3Crect x='155' y='-5' width='5' height='5'/%3E%3Crect x='120' y='40' width='35' height='35'/%3E%3Crect x='125' y='45' width='25' height='25'/%3E%3Crect x='130' y='50' width='15' height='15'/%3E%3Crect x='135' y='55' width='5' height='5'/%3E%3Crect y='120' width='75' height='75'/%3E%3Crect x='5' y='125' width='65' height='65'/%3E%3Crect x='10' y='130' width='55' height='55'/%3E%3Crect x='15' y='135' width='45' height='45'/%3E%3Crect x='20' y='140' width='35' height='35'/%3E%3Crect x='25' y='145' width='25' height='25'/%3E%3Crect x='30' y='150' width='15' height='15'/%3E%3Crect x='35' y='155' width='5' height='5'/%3E%3Crect x='200' y='120' width='75' height='75'/%3E%3Crect x='40' y='200' width='75' height='75'/%3E%3Crect x='80' y='80' width='75' height='75'/%3E%3Crect x='85' y='85' width='65' height='65'/%3E%3Crect x='90' y='90' width='55' height='55'/%3E%3Crect x='95' y='95' width='45' height='45'/%3E%3Crect x='100' y='100' width='35' height='35'/%3E%3Crect x='105' y='105' width='25' height='25'/%3E%3Crect x='110' y='110' width='15' height='15'/%3E%3Crect x='115' y='115' width='5' height='5'/%3E%3Crect x='80' y='160' width='35' height='35'/%3E%3Crect x='85' y='165' width='25' height='25'/%3E%3Crect x='90' y='170' width='15' height='15'/%3E%3Crect x='95' y='175' width='5' height='5'/%3E%3Crect x='120' y='160' width='75' height='75'/%3E%3Crect x='125' y='165' width='65' height='65'/%3E%3Crect x='130' y='170' width='55' height='55'/%3E%3Crect x='135' y='175' width='45' height='45'/%3E%3Crect x='140' y='180' width='35' height='35'/%3E%3Crect x='145' y='185' width='25' height='25'/%3E%3Crect x='150' y='190' width='15' height='15'/%3E%3Crect x='155' y='195' width='5' height='5'/%3E%3Crect x='160' y='40' width='75' height='75'/%3E%3Crect x='165' y='45' width='65' height='65'/%3E%3Crect x='170' y='50' width='55' height='55'/%3E%3Crect x='175' y='55' width='45' height='45'/%3E%3Crect x='180' y='60' width='35' height='35'/%3E%3Crect x='185' y='65' width='25' height='25'/%3E%3Crect x='190' y='70' width='15' height='15'/%3E%3Crect x='195' y='75' width='5' height='5'/%3E%3Crect x='160' y='120' width='35' height='35'/%3E%3Crect x='165' y='125' width='25' height='25'/%3E%3Crect x='170' y='130' width='15' height='15'/%3E%3Crect x='175' y='135' width='5' height='5'/%3E%3Crect x='200' y='200' width='35' height='35'/%3E%3Crect x='200' width='35' height='35'/%3E%3Crect y='200' width='35' height='35'/%3E%3C/g%3E%3C/svg%3E");
  padding: 40px;
  margin: 0px;
  text-align: center;
  border-bottom: 1px solid #262d33;
  box-shadow: var(--box-shadow);
} */
/* .card-body {
  background-color: #16191d;
}
.card-body ul li {
  list-style-type: circle;
} */
/* HTML Projects */
.card-container {
  position: relative;
  display: grid;
  align-items: center;
  margin: 0 auto;
  padding-left: 3rem;
}
.media-scroller {
  display: grid;
  gap: var(--spacer);
  grid-auto-flow: column;
  grid-auto-columns: 33%;
  max-width: 80%;
  margin: 0 auto;
  overflow-x: auto;
  overflow-y: hidden;
  overscroll-behavior: contain;
  cursor: pointer;
}

.media-scroller:first-child {
  padding-left: 2rem;
}

.snaps-inline {
  scroll-snap-type: inline mandatory;
  scroll-padding-inline: var(--spacer);
}

.snaps-inline > .flip-card {
  scroll-snap-align: start;
}

#scrollbar2::-webkit-scrollbar {
  height: 12px;
  background-color: transparent;
}

#scrollbar2::-webkit-scrollbar-track {
  border-radius: 8px;
  background-color: transparent;
  margin-right: 6rem;
}

#scrollbar2::-webkit-scrollbar-thumb {
  border-radius: 8px;
  background: linear-gradient(
    0deg,
    rgba(0, 10, 89, 1) 0%,
    rgba(0, 115, 230, 1) 50%,
    rgba(0, 10, 89, 1) 100%
  );
}

img {
  width: 300px;
  height: 300px;
  border-radius: var(--border-radius);
  aspect-ratio: 1;
}
.flip-card {
  position: relative;
  margin: 2rem 0 6rem;
  width: 300px;
  height: 300px;
  perspective: 1000px;
  transform-style: preserve-3d;
  border-radius: var(--border-radius);
}

.flip-card .inner {
  will-change: transform;
  position: relative;
  width: 300px;
  height: 300px;
  transform-style: preserve-3d;
  transition: transform 0.8s ease-in;
}
.flip-card:hover .inner {
  transform: rotateX(180deg);
  transition: transform 0.4s ease-out;
}
.flip-card .inner .front,
.flip-card .inner .back {
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
  display: flex;
  align-items: center;
  flex-direction: column;
  border-radius: var(--border-radius);
  box-shadow: var(--box-shadow-card);
  transform-style: preserve-3d;
}
.flip-card .inner .back {
  transform: rotateX(180deg);
  text-align: center;
}
.back {
  padding: 1rem;
  background-color: #000;
  font-size: 1rem;
  text-align: center;
  border: 1px solid #0073e6;
  border-radius: var(--border-radius);
}
.back .card-header {
  font-size: 1.4rem;
  padding: 0.5rem 0;
}
.back p {
  font-size: 0.9rem;
  letter-spacing: 1px;
  padding: 1rem 0;
}
.back h4,
.back p {
  font-weight: 300;
  text-align: center;
}

.text-center {
  font-weight: 200;
}
.back a {
  position: relative;
  display: inline-block;
  padding: 12px 24px;
  font-size: 62.5%;
  text-decoration: none;
  text-transform: uppercase;
  letter-spacing: 3px;
  overflow: hidden;
  transition: var(--transition-out);
}

.back a:hover {
  background-color: #0073e6;
  color: #fff;
  text-decoration: none;
  border-radius: var(--border-radius);
  cursor: url(glove2.png), auto;
  box-shadow: var(--neon-text-shadow);
  transition: var(--transition-in);
}

.back a span {
  position: absolute;
  display: block;
}

.back a span:nth-child(1) {
  top: 0;
  left: -100%;
  width: 100%;
  height: 2px;
  background: linear-gradient(90deg, transparent, #0073e6);
  animation: btn-anim1 1s linear infinite;
}

@keyframes btn-anim1 {
  0% {
    left: -100%;
  }
  50%,
  100% {
    left: 100%;
  }
}

.back a span:nth-child(2) {
  top: -100%;
  right: 0;
  width: 2px;
  height: 100%;
  background: linear-gradient(180deg, transparent, #0073e6);
  animation: btn-anim2 1s linear 0.2s infinite;
}

@keyframes btn-anim2 {
  0% {
    top: -100%;
  }
  50%,
  100% {
    top: 100%;
  }
}

.back a span:nth-child(3) {
  bottom: 0;
  right: -100%;
  width: 100%;
  height: 2px;
  background: linear-gradient(270deg, transparent, #0073e6);
  animation: btn-anim3 1s linear infinite;
  animation-delay: 0.5s;
}

@keyframes btn-anim3 {
  0% {
    right: -100%;
  }
  50%,
  100% {
    right: 100%;
  }
}

.back a span:nth-child(4) {
  bottom: -100%;
  left: 0;
  width: 2px;
  height: 100%;
  background: linear-gradient(360deg, transparent, #0073e6);
  animation: btn-anim4 1s linear infinite;
  animation-delay: 0.75s;
}

@keyframes btn-anim4 {
  0% {
    bottom: -100%;
  }
  50%,
  100% {
    bottom: 100%;
  }
}

/* FCC React Projects-----------------------------*/
/* .react {
  content-visibility: auto;
  background-color: #000;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='4' height='4' viewBox='0 0 4 4'%3E%3Cpath fill='%23d9dde2' fill-opacity='0.4' d='M1 3h1v1H1V3zm2-2h1v1H3V1z'%3E%3C/path%3E%3C/svg%3E");
  box-shadow: var(--box-shadow);
  padding: 40px;
  overflow: hidden;
  border: 2px solid #0073e6;
} */
.grid-container {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
  align-items: center;
  margin: 0 auto;
  margin-top: 6rem;
}
.reactCard {
  will-change: transform;
  width: 300px;
  height: 300px;
  padding: 0;
  margin: 2rem;
  box-sizing: border-box;
  overflow: hidden;
  border-radius: var(--border-radius);
  box-shadow: var(--box-shadow-card);
  border: 1px solid #0073e6;
}

.reactCard img {
  margin: 0;
  width: 300px;
  height: 300px;
  object-fit: cover;
  display: block;
  transition: var(--transition-out);
}
.reactCard:hover img,
.reactCard:focus-within img {
  margin-top: -300px;
  transition: var(--transition-in);
}
.card-content {
  height: 100%;
  width: 100%;
  padding: 1rem;
  box-sizing: border-box;
  overflow: hidden;
  background-color: rgba(0, 0, 0, 0.6);
}

.reactCard h2 {
  margin: 0 auto;
}

.reactCard .focus-content {
  display: block;
}

.reactCard .focus-content p {
  line-height: 1.5;
  font-size: 1rem;
  text-align: center;
  padding: 0 0.4rem;
  margin: 1.4rem auto 0.4rem;
}

/* .reactCard:hover h2,
.reactCard:focus-within h2 {
  padding: 8px 12px 0;
} */
.button {
  text-decoration: none;
  position: relative;
  background-color: #0073e6;
  color: #fff;
  border: none;
  margin: 1rem;
  margin-bottom: 1rem;
  font-size: 0.8rem;
  letter-spacing: 2px;
  text-transform: uppercase;
  text-align: center;
  line-height: 1;
  overflow: hidden;
  padding: 0.6rem 1.2rem;
  border-radius: var(--border-radius-round);
  cursor: url(glove2.png), auto;
  transition: var(--transition-out);
}
.button:hover {
  color: #fff;
  box-shadow: var(--neon-text-shadow);
  transition: var(--transition-in);
}
.button:focus {
  outline: none;
}
.button:active {
  transform: scale(0.9);
}
.float {
  margin-top: 0;
  display: flex;
  justify-content: center;
}

/* D3.js -----------------------------*/

.D3container {
  display: flex;
  align-items: center;
  height: 100%;
  max-width: 200rem;
  padding-top: 3rem;
}
.panel {
  will-change: transform;
  position: relative;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  height: 40vh;
  flex: 1.6;
  margin: 1rem;
  border: 1px solid #0073e6;
  border-radius: var(--border-radius);
  box-shadow: var(--box-shadow-card);
  transition: flex 0.7s ease-out;
}

.panel p {
  position: absolute;
  margin: 0;
  opacity: 0;
  padding: 0.3rem 1rem;
  background-color: #000;
  border: 1px solid #0073e6;
  font-size: 1rem;
  right: 1rem;
  bottom: 1rem;
  border-radius: var(--border-radius-round);
  cursor: url(glove2.png), auto;
  transition: var(--transition-out);
}
.panel p:hover {
  box-shadow: var(--neon-text-shadow);
  background-color: #0073e6;
  transition: var(--transition-in);
}

.panel.active {
  flex: 5;
}

.panel.active p {
  margin-left: 2rem;
  opacity: 1;
  font-weight: 200;
  color: #fff;
}

@media (max-width: 480px) {
  .container {
    width: 100vw;
  }
  .panel:nth-of-type(4),
  .panel:nth-of-type(5) {
    display: none;
  }
}
/*++++++++++++ Quality Assurance+++++++ */

.qCard {
  will-change: transform;
  width: 300px;
  height: 300px;
  margin: 10px;
  position: relative;
  text-align: center;
  overflow: hidden;
  border-radius: var(--border-radius);
  border: 1px solid #0073e6;
  box-shadow: var(--box-shadow-card);
  transform-style: preserve-3d;
  cursor: url(glove2.png), auto;
}

.backZoom {
  width: 300px;
  height: 300px;
  position: absolute;
  overflow: hidden;
  top: 0;
  left: 0;
  background-color: #000;
  border-radius: var(--border-radius);
  text-align: center;
  opacity: 0;
  padding: 1rem 0;
  transition: all 0.8s ease-in;
}

.qCard img {
  height: 100%;
  object-fit: contain;
  border-radius: var(--border-radius);
  transition: all 0.8s ease-in;
}

.backZoom h2 {
  margin: 0 auto;
  padding: 0.6rem;
  transform: scale(0);
  opacity: 0;
  transition: all 0.8s ease-in;
}

.backZoom p {
  font-size: 1rem;
  margin: 1.3rem 1rem;
  transform: scale(0);
  opacity: 0;
  transition: all 0.8s ease-in;
}

.backZoom a {
  display: inline-block;
  background-color: #0073e6;
  font-weight: 200;
  color: #fff;
  border: none;
  margin: 1rem;
  font-size: 0.8rem;
  letter-spacing: 2px;
  text-transform: uppercase;
  text-decoration: none;
  text-align: center;
  line-height: 1;
  padding: 0.6rem 1.2rem;
  border-radius: var(--border-radius-round);
  opacity: 0;
  transform: scale(0);
  transition: var(--transition-out);
}

.qCard:hover img {
  transform: scale(8);
  opacity: 0;
  transition: all 0.5s ease-out;
}
.qCard:hover .backZoom {
  opacity: 1;
  transition: all 0.5s ease-out;
}
.qCard:hover h2,
.qCard:hover p,
.qCard:hover a {
  opacity: 1;
  transform: scale(1);
  transition: all 0.5s ease-out;
}
.backZoom a:hover {
  box-shadow: var(--neon-text-shadow);
  cursor: url(glove2.png), auto;
  transition: var(--transition-in);
}
/* Footer
---------------------------*/
footer {
  width: 100%;
  padding: 2rem 0 1rem;
  box-shadow: var(--box-shadow);
  text-align: center;
  color: #abd5ff;
  border-top: 1px solid #0073e6;
  border-bottom: none;
}

.footer ul {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  list-style-type: none;
  margin: 0 auto;
}

.footer ul li {
  margin: 0 1rem;
}

.footer ul li a {
  color: #0073e6;
  border-radius: 3.6rem;
  display: inline-block;
  font-size: 2rem;
  height: 3.6rem;
  margin: 0 5px;
  position: relative;
  text-align: center;
  user-select: none;
  width: 3.6rem;
  transform: scale(0);
  transition: var(--transition-out);
  animation: glow 3s linear infinite;
}
/* Flickering animation */
@keyframes glow {
  0%,
  18%,
  22%,
  25%,
  53%,
  57%,
  100% {
    box-shadow: 0 0 40px #0073e6, 0 0 50px #0073e6, 0 0 60px #0073e6 inset;
  }

  20%,
  24%,
  55% {
    box-shadow: none;
  }
}
.footer ul li a:hover {
  background-color: #0073e6;
  cursor: url(glove2.png), auto;
  transition: var(--transition-in);
}
.footer ul li a i {
  position: absolute;
  color: #fff;
  height: 3.6rem;
  width: 3.6rem;
  line-height: 3.6rem;
  top: 0;
  left: 0;
  text-shadow: var(--text-shadow);
  border-radius: 3.6rem;
  border: 1px solid #49a4ff;
  z-index: 10;
}
.svg {
  position: absolute;
  height: 4rem;
  width: 4rem;
  padding: 0.4rem;
  stroke: #0073e6;
  fill: #fff;
  transform: scale(1);
  border-radius: 3.6rem;
  border: 1px solid #49a4ff;
  transition: var(--transition-out);
  animation: glow 3s linear infinite;
}
.footer:hover .svg {
  transform: scale(0);
  transition: var(--transition-in);
}

.footer:hover ul li a {
  transform: scale(1);
  transition: var(--transition-in);
}
.impressum {
  padding: 2rem 0;
}
footer p {
  font-size: 1.2rem;
  padding: 0;
  text-shadow: var(--neon-text-shadow);
}
/* Responsive
---------------------------*/
@media screen and (max-width: 1200px) {
  body::-webkit-scrollbar {
    display: none;
  }
}
@media screen and (max-width: 1050px) {
  .accContainer {
    margin: 2% 10%;
  }
}
@media screen and (max-width: 750px) {
  footer {
    text-align: center;
  }

  /* .project-item img {
    float: left;
    margin-left: 10px;
    margin-right: 20px;
    box-shadow: var(--box-shadow);
  }
  .job-item {
    display: grid;
    grid-template-columns: 1fr 2fr;
    column-gap: 20px;
  } */
  .accContainer {
    margin: 2% 6%;
  }
}
@media screen and (max-width: 600px) {
  footer {
    text-align: center;
  }

  .contact-list a {
    padding: 4px;
    display: inline-block;
  }
  .accContainer {
    margin: 2% 2%;
  }
}
